# -*- coding: utf-8 -*-

# Authors: Alejandro J. Cura <alecu@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""The user interface for the control panel for Ubuntu One."""

from PyQt4 import QtGui

from ubuntuone.controlpanel.gui.qt.ui import services_ui


class ServicesPanel(QtGui.QWidget):
    """The ServicesFolders Tab Panel widget"""

    def __init__(self, *args):
        """Initialize the UI of the widget."""
        QtGui.QWidget.__init__(self, *args)
        self.ui = services_ui.Ui_Form()
        self.ui.setupUi(self)

    def update_account_info(self, account_info):
        """Update the widgets with the account info."""
        self.ui.storage_plan_label.setText(account_info["type"])
