# -*- coding: utf-8 -*-

# Author: Alejandro J. Cura <alecu@canonical.com>
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Tests for the profile tab."""

from ubuntuone.controlpanel.gui.qt import profile as gui
from ubuntuone.controlpanel.gui.qt.tests import (BaseTestCase,
    SAMPLE_ACCOUNT_INFO, SAMPLE_EMAIL, SAMPLE_NAME)


class ProfilePanelTestCase(BaseTestCase):
    """Test the qt control panel."""

    innerclass_ui = gui.profile_ui
    innerclass_name = "Ui_Form"
    class_ui = gui.ProfilePanel

    def test_update_account_info(self):
        """Backend's file sync status changed callback is connected."""
        self.ui.update_account_info(SAMPLE_ACCOUNT_INFO)
        self.assertEqual(self.ui.ui.fullname_lineedit.text(), SAMPLE_NAME)
        self.assertEqual(self.ui.ui.email_lineedit.text(), SAMPLE_EMAIL)
        self.assertEqual(self.ui.ui.password_lineedit.text(), "swordfish")
